/* miscellaneous functions added by Kenar */

#include <stdio.h>
#include <ctype.h>
#include <strings.h>


char *skip(s)
char *s;
{	while(isspace(*s)) s++;
	return s;
}

void rmEol(buf)
char *buf;
{	char *tp;
	if (tp = index(buf, '\n')) *tp = '\0';	
}


int isblank(s) char *s;
{	char c;
	while(*s)
	{	c = *s & 0x8f;
		if(isspace(c)) s++;
		else return 0;
	}
	return 1;
}

char *strlwr(s) char *s;
{	char c,*p;
	p = s;
	while(*p)
	{	c = *p & 0x7f;
		*p = (isupper(c)?tolower(c):*p);
		p++;
	}
	return s;
}


int sepstr(str,argp,sep)
char *str,**argp,*sep;
/*
   separate string to arguments
	... coded by Kenar
   sep: separaters
   return: argument count
*/
{	int n;
	n = 0;
	for(;;)
	{	while(index(sep,*str)) str++;
		if(!*str) break;
		argp[n++] = str;
		while(!index(sep,*str) && *str) str++;
		if(!*str) break;
		*str++ = 0;
	}
	argp[n] = NULL;
	return n;
}
